<?php
/*
   this file is responsible for fetching and parsing information
   from IMDB's web site

   it requires the following parameters:
   - imdb_url
   
   it sets the following variables:
   - cover_art
   - imdb_year
   - plot
   - runtime
   - genre
   - director
   - actors
*/   
   if (! is_null($_POST['imdb_url'])) {
      $imdb_url = $_POST['imdb_url'];
      
      $snoopy = new Snoopy;

      $snoopy->fetch($imdb_url);
      $imdb_page = $snoopy->results;
      
      if (ereg('name="poster"[^>]*>(<[^<]*)', $imdb_page, $temp)) {
         if (ereg('src="([^"]*)', $temp[1], $temp)) {
            $cover_art = $temp[1];
         };
      };

      if (eregi('class="title">([^<]*)<[^<]*<[^>]*>([^<]*)', 
         $imdb_page, $temp)) {
            $title = str_replace("&#34;", "", $temp[1]);
            $imdb_year = trim($temp[2]);
      };

      if (eregi('Plot[^<]*</b>([^<]*)', $imdb_page, $temp)) {
         $plot = trim($temp[1]);
      };

      if (eregi('Runtime:</b>([^<]*)', $imdb_page, $temp)) {
         //$runtime = trim($temp[1]);
         $runtime = eregi_replace(".*\:", "", $temp[1]);
      };

      if (eregi('Genre[^>]*>[^>]*>([^<]*)', $imdb_page, $temp)) {
         $genre = trim($temp[1]);
      };

      if (eregi('Genre[^>]*>[^>]*>[^>]*> / [^>]*>([^<]*)', 
         $imdb_page, $temp)) {
            $genre = $genre . ", " . trim($temp[1]);
      };

      if (eregi('Genre[^>]*>[^>]*>[^>]*> / [^>]*>[^>]*> / [^>]*>([^<]*)', 
         $imdb_page, $temp)) {
            $genre = $genre . ", " . trim($temp[1]);
      };

      if (eregi('Directed by[^>]*>[^>]*>[^>]*>([^<]*)', $imdb_page, $temp)) {
         $director = trim($temp[1]);
      };

      if (eregi('Directed by[^>]*>[^>]*>[^>]*>[^>]*><br><a[^>]*>([^<]*)', 
         $imdb_page, $temp)) {
            $director = $director . ", " . trim($temp[1]);
      };

      if (eregi('top"><a href="/Name[^>]*>([^<]*)([^>]*>){10}([^<]*)([^>]*>){10}([^<]*)',$imdb_page, $temp)) {
         $actors = "$temp[1], $temp[3], $temp[5]";
      };
   };
?>
